<div class="main-container">
  <div class="main-header">
    <button disable="user?.userStateId < 3" class="tools-button" title="Ajouter aux favoris" (click)="ToggleFavorite()">
      <i class="fas fa-star button-icon star" *ngIf="isFavorite()"></i>
      <i class="far fa-star button-icon star" *ngIf="!isFavorite()"></i>
    </button>
    <button disable="user?.userStateId < 3" class="tools-button" title="J'aime" (click)="likeResource()">
      <i class="fas fa-thumbs-up button-icon like" *ngIf="isLiked()"></i>
      <i class="far fa-thumbs-up button-icon like" *ngIf="!isLiked()"></i>
      <span class="icon-counter">{{resource?.Resource_likes?.length}}</span>
    </button>
    <button disable="user?.userStateId < 3" class="tools-button" title="Partager" (click)="openSharePopup()">
      <fa-icon class="button-icon share" [icon]="faShareAlt"></fa-icon>
    </button>
    <span class="tools-button">
          <fa-icon class="button-icon eye" [icon]="faEye"></fa-icon>
        <span class="icon-counter">{{resource?.viewCount}}</span>
      </span>
  </div>
  <div class="main-content">
    <div class="content-header">
      <div class="header-image profile-picture-circle"
           style="background-image: url('{{global.apiUrl}}{{resource?.User?.profilePicture}}')"></div>
      <h2 class="header-title">{{resource?.title}}</h2>
      <i class="header-name">{{resource?.User?.firstName}} {{resource?.User?.lastName}}</i>
    </div>
    <div class="content-resource">
      <div class="resource-picture"
           style="background-image: url('{{global.apiUrl}}{{resource?.Resource_images[0]?.image}}')"></div>
      <div>
        <h2 style="text-decoration: underline; padding-top: 20px">{{resource?.ResourceCategoryId | resourceCategoryPipe}}</h2>
        <div style="padding-left: 20px">
          <h3 *ngIf="resource?.ResourceCategoryId === 3">Le {{resource?.eventDate | date: 'dd/MM/yyyy' }} à {{resource?.eventPlace}}</h3>
          <p class="resource-description">{{resource?.description}}</p>
        </div>
      </div>
    </div>
    <div class="content-comments">
      <h3 class="title">Commentaires</h3>
      <app-comment-form placeHolder="Commentez" [source]="resource?.Comments" [isComment]="true"
                        [sourceId]="resource?.id"></app-comment-form>
      <ul class="comments-list">
        <li class="comment-item" *ngFor="let comment of resource?.Comments">
          <app-comment [comment]="comment" [subCommentsDeployed]="subCommentsDeployed" [isComment]="true"></app-comment>
          <ul class="comments-list" *ngIf="subCommentsVisible(comment.id)">
            <li class="comment-item" *ngFor="let subComment of comment?.Sub_comments">
              <app-comment [comment]="subComment" [isComment]="false"></app-comment>
            </li>
            <app-comment-form placeHolder="Répondre" [source]="comment.Sub_comments" [isComment]="false"
                              [sourceId]="comment?.id"></app-comment-form>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</div>
<app-popup-share *ngIf="popupShareIsOpen" [resource]="resource" [(isOpen)]="popupShareIsOpen"></app-popup-share>


